Page MenuHomeFreeBSD

math/blis: update to snapshot providing support for runtime kernel selection
ClosedPublic

Authored by jmd on Nov 27 2017, 4:06 AM.

Details

Summary

Update math/blis to the first snapshot working on FreeBSD to support runtime kernel selection. For amd64, this will now select, if available, an assembly optimized kernel for the CPU architecture blis is running on. The other architectures continue to only use what is now called the generic kernel but in theory arm and power7 assembly optimizations are available.

Due to this, remove the old explicit kernel selection. Also switch to use devel/llvm50 as a compiler to actually support all the architectures (and upstream compile flags) properly. This hopefully will also help with getting blis to work on other architectures out of the box.

Test Plan

10.3, 10.4, 11.1, HEAD amd64, 10.4 i386 tested with poudriere. Some results tested on HEAD amd64, performance tested on HEAD amd64 AMD excavator and found to be consistent with the explicitly chosen excavator kernel.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

math/blis/Makefile
6 ↗(On Diff #35834)

I would expect a PORTVERSION change instead, since it's a different version of the software, not just a change to the port itself.

Libversion was not updated yet by upstream. Hence add date suffix.

jmd marked an inline comment as done.Nov 28 2017, 2:40 AM

Remove PORTREVISION, then it's approved.

math/blis/Makefile
7 ↗(On Diff #35899)

PORTREVISION should be removed or reset to 0 after a PORTVERSION bump.

This revision is now accepted and ready to land.Dec 11 2017, 3:40 PM
This revision was automatically updated to reflect the committed changes.